%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-htmltmpl
Version:        1.22
Release:        7%{?dist}
Summary:        Templating engine for separation of code and HTML

Group:          Development/Libraries
License:        GPL
URL:            http://htmltmpl.sourceforge.net/
Source0:        http://dl.sourceforge.net/htmltmpl/htmltmpl-%{version}.tar.gz
Patch0:         %{name}-1.22-performance.patch
Patch1:         %{name}-1.22-docs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python
Provides:       htmltmpl = %{version}-%{release}
Obsoletes:      htmltmpl < 1.22-7

%description
The purpose of the templating engine is to provide web application
developers, who need to separate program code and design (HTML code)
of their web application projects, with a templating tool that can be
easily used by cooperating webdesigners who have no programming
skills.
This package includes easydoc, a module which uses the templating
engine to generate HTML documentation from docstrings embedded in
source files of Python modules.


%prep
%setup -q -n htmltmpl-%{version}
%patch0 -p0
%patch1 -p0


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
install -Dpm 755 easy.py $RPM_BUILD_ROOT%{_bindir}/easydoc
install -pm 755 tmpl-xgettext.pl $RPM_BUILD_ROOT%{_bindir}
rm -f doc/makedoc.sh


%check
%{__python} test.py


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE PKG-INFO README TODO VERSION doc/
%{_bindir}/easydoc
%{_bindir}/tmpl-xgettext.pl
%{python_sitelib}/easydoc*.py*
%{python_sitelib}/htmltmpl.py*


%changelog
* Mon Aug 28 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.22-7
- Rename to python-htmltmpl.
- BuildRequire python instead of -devel.
- Remove no longer needed python-abi dependency.
- Ship *.pyo.

* Wed Mar 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.22-6
- Rebuild with Python 2.4.

* Thu Dec 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-5
- Sync with Python spec template from fedora-rpmdevtools.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.4
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.
- Include (%%ghost'd) *.pyo.

* Wed Jul  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.3
- Include performance and docs improvement patches (submitted upstream).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.2
- Install tmpl-xgettext.pl too.

* Sun Jun 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.1
- First build.
